Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.kernel
Class AbstractJDBCSavepointManager.ConnectionSavepoint

    java.lang.Object
      org.apache.openjpa.kernel.OpenJPASavepoint
          org.apache.openjpa.jdbc.kernel.AbstractJDBCSavepointManager.ConnectionSavepoint

All Implemented Interfaces:
  Serializable

Enclosing class:
  AbstractJDBCSavepointManager

    protected class AbstractJDBCSavepointManager.ConnectionSavepoint

extends OpenJPASavepoint

A savepoint which provides access to the current transactional connection.

See Also:
  Serialized Form

Constructor Summary
`AbstractJDBCSavepointManager.ConnectionSavepoint(Broker broker, String name, boolean copy)`

Method Summary
`Connection` | `getConnection()` Return the current `Connection` for this savepoint.
`Object` | `getDataStoreSavepoint()` Return the stored savepoint object
`Collection` | `rollback(Collection previous)` Handle the rolled back state, returning saved data.
`void` | `save(Collection states)` Set this savepoint, saving any state for the passed-in `OpenJPAStateManager`s as necessary.
`void` | `setDataStoreSavepoint(Object savepoint)` Set the implementation specific savepoint object

Methods inherited from class org.apache.openjpa.kernel.OpenJPASavepoint
`getBroker, getCopyFieldState, getName, getStates, release`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractJDBCSavepointManager.ConnectionSavepoint

    public AbstractJDBCSavepointManager.ConnectionSavepoint(Broker broker,
                                                            String name,
                                                            boolean copy)

Method Detail

### getDataStoreSavepoint

    public Object getDataStoreSavepoint()

  Return the stored savepoint object

### setDataStoreSavepoint

    public void setDataStoreSavepoint(Object savepoint)

  Set the implementation specific savepoint object

### getConnection

    public Connection getConnection()

  Return the current `Connection` for this savepoint.

### rollback

    public Collection rollback(Collection previous)

  Description copied from class: `OpenJPASavepoint`
  Handle the rolled back state, returning saved data. Subclasses should return the collection returned from this method.

  Overrides:
    `rollback` in class `OpenJPASavepoint`
  Parameters:
    `previous` - previous savepoints set in the transaction

### save

    public void save(Collection states)

  Description copied from class: `OpenJPASavepoint`
  Set this savepoint, saving any state for the passed-in `OpenJPAStateManager`s as necessary.

  Overrides:
    `save` in class `OpenJPASavepoint`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.